Name:           plasma-applet-homerun
Version:        1.1.0
Release:        %mkrel 2
Summary:        Homerun is a fullscreen launcher with content organized in tabs
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            http://userbase.kde.org/Homerun
Source0:        http://download.kde.org/stable/homerun/src/homerun-%version.tar.xz
BuildRequires:  kdelibs4-devel
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  kdebase4-devel
Requires:       kdebase4-runtime

%description 
It is a fullscreen launcher with content organized in tabs. A tab is made of
several "sources". A source can provide one or more sections to a tab. Homerun
comes with a few built-in sources, but custom sources can be written using
libhomerun.

Homerun can either be used from a launcher button in a panel, like Kickoff, or
as a containment, like the Search and Launch containment.

%prep
%setup -n homerun-%version -q 

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang plasma_applet_org.kde.homerun

%files -f plasma_applet_org.kde.homerun.lang
%{_kde_bindir}/homerunviewer
%{_kde_libdir}/kde4/plasma_applet_homerunlauncher.so
%{_kde_libdir}/cmake/Homerun
%{_kde_libdir}/kde4/homerun_source_recentdocuments.so
%{_kde_libdir}/kde4/imports/*
%{_kde_services}/homerun-source-recentdocuments.desktop
%{_kde_services}/homerunviewer.desktop
%{_kde_services}/plasma-applet-homerun.desktop
%{_kde_services}/plasma-applet-homerunlauncher.desktop
%{_kde_servicetypes}/homerun-source.desktop
%{_kde_datadir}/config/homerunrc
%{_kde_datadir}/apps/homerun/favoriteapps.xml
%{_kde_datadir}/apps/plasma/plasmoids/org.kde.homerun
%{_kde_datadir}/icons/*

#------------------------------------------------------------------------------

%define homerun_major 0
%define libhomerun %mklibname homerun %homerun_major

%package -n %libhomerun
Summary: %name library
Group: 	 System/Libraries
License: LGPLv2+

%description -n %libhomerun
%name library.

%files -n %libhomerun
%_kde_libdir/libhomerun.so.%{homerun_major}*

#------------------------------------------------------------------------------

%package devel
Summary:  Devel stuff for %name
Group: 	  Development/KDE and Qt
License:  LGPLv2+
Requires: %name = %version-%release
Requires: kdelibs4-devel >= 2:%version

%description devel
This package contains header files needed if you wish to build applications
based on %name

%files devel
%_kde_libdir/*.so
%_kde_includedir/homerun

#------------------------------------------------------------------------------



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 533763
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 filipesaraiva <filipesaraiva> 1.1.0-1.mga4
+ Revision: 475021
- Updated to 1.1.0 version;
- Changed compress format to tar.xz, provide by upstream

* Sun Jun 16 2013 filipesaraiva <filipesaraiva> 1.0.0-2.mga4
+ Revision: 443790
- Package version incremented
- Added specific licenses to libhomerun

* Sun Jun 02 2013 neoclust <neoclust> 1.0.0-1.mga4
+ Revision: 434943
- Fix buildRequires

  + filipesaraiva <filipesaraiva>
    - Using tip from atilla to find libkonq
    - Added libkonq to requires
    - Fixing dependence error
    - Added libkonq to Requires
    - Added libkonq to BuildRequires
    - Fix error in Sumary
    - imported package plasma-applet-homerun



# erro: Arquivo(s) instalado(s) (mas não empacotado(s)) encontrado(s):
#    /usr/share/icons/hicolor/128x128/apps/homerun.png
#    /usr/share/icons/hicolor/16x16/apps/homerun.png
#    /usr/share/icons/hicolor/22x22/apps/homerun.png
#    /usr/share/icons/hicolor/32x32/apps/homerun.png
#    /usr/share/icons/hicolor/48x48/apps/homerun.png
#    /usr/share/icons/hicolor/64x64/apps/homerun.png
#    /usr/share/icons/hicolor/scalable/apps/homerun.svgz
# 
# 
# Erros na construção do RPM:
#     Arquivo(s) instalado(s) (mas não empacotado(s)) encontrado(s):
#    /usr/lib64/cmake/Homerun/HomerunConfig.cmake
#    /usr/lib64/cmake/Homerun/HomerunConfigVersion.cmake
#    /usr/lib64/cmake/Homerun/HomerunTargets-release.cmake
#    /usr/lib64/cmake/Homerun/HomerunTargets.cmake
#    /usr/lib64/kde4/plasma_applet_homerunlauncher.so
#    /usr/share/apps/homerun/favoriteapps.xml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/config/main.xml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/ActionMenu.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/AvailableSourceItem.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/DebugRectangle.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/LogText.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/MessageItem.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/Page.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/Result.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/ResultsView.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/SlidingContainer.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/SourceItem.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/TabContent.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/TabContentInternal.js
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/TabSideButton.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/config.ui
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/contents/ui/main.qml
#    /usr/share/apps/plasma/plasmoids/org.kde.homerun/metadata.desktop
#    /usr/share/config/homerunrc
#    /usr/share/icons/hicolor/128x128/apps/homerun.png
#    /usr/share/icons/hicolor/16x16/apps/homerun.png
#    /usr/share/icons/hicolor/22x22/apps/homerun.png
#    /usr/share/icons/hicolor/32x32/apps/homerun.png
#    /usr/share/icons/hicolor/48x48/apps/homerun.png
#    /usr/share/icons/hicolor/64x64/apps/homerun.png
#    /usr/share/icons/hicolor/scalable/apps/homerun.svgz
